// $Id: Consumer.cpp 76589 2007-01-25 18:04:11Z elliott_c $

#include "Consumer.h"

ACE_RCSID(EC_Examples, Consumer, "$Id: Consumer.cpp 76589 2007-01-25 18:04:11Z elliott_c $")

Consumer::Consumer (void)
{
}

void
Consumer::push (const RtecEventComm::EventSet& events)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
  if (events.length () == 0)
    {
      ACE_DEBUG ((LM_DEBUG,
                  "Consumer (%P|%t) no events\n"));
      return;
    }

  ACE_DEBUG ((LM_DEBUG, "Consumer (%P|%t) we received event type %d\n",
              events[0].header.type));
}

void
Consumer::disconnect_push_consumer (void)
    ACE_THROW_SPEC ((CORBA::SystemException))
{
}

